<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Plain HTML site using GitLab Pages</title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="navbar">
      <a href="/">Intro</a>
      <!-- <a href="https://gitlab.com/pages/plain-html/">Repository</a> -->
      <a href="authors">Author</a>
    </div>

    <h1>Greedy</h1>

    <p>
      <b>f</b>in<b>t</b>ech - griddy (word-play of words greid (eng. table-alike) and greedy (demanding, requiring a lot)).
    </p>

    <p>Library allowind visualising data in a/as a grid (as of Jun 2021, more to come soon)</p>.
    
    <h1>Usage</h1>
    <p>Create html file</p>
    <xmp>
      <div id="app">
        <ft-grid/>
      </div>

      <script>
        (!window.Vue && window._griddyPromise.then(init), 1) || Vue && init();
        function init() {
            new Vue({
                el: '#app',
                data: () => ({
                    v: 0,
                    grid: [{
                        question: 'czy umiesz?',
                        ans1: 'tak',
                        ans2: 'nie',
                        ans3: 'może',
                        ans4: 'brak odp.',
                    }]
                }),
            })
        }
      </script>
    </xmp>

    <p>Have fun, &copy; noone ...2021...</p>
  </body>
</html>
